
// day_1_02: pct based animation
// zach lieberman - thesystemis.com / zlieb@parsons.edu
// ----------------------------------------------------
// animation based on a pct (number from 0-1) to move from point A to point B
// using this formula : pos.x = (1-pct) * pointA.x + (pct) * pointB.x;


rectangle myRectangle;
float pct;

//-------------------------------------------------------------------
void setup(){
  size(400,200);
  myRectangle = new rectangle();
  pct = 0;
}

//-------------------------------------------------------------------
void draw(){
  
  background(245,17,230);
  
  // move via pct, and increase pct:
  myRectangle.moveToPct(pct);
  pct = pct + 0.005;
  if (pct > 1) pct = 0;
  
  // then draw:
  myRectangle.draw();
  
  
}
