

//-------------------------------------------------------------------
class rectangle {
  
  Vec2D pos;
  Vec2D pta;
  Vec2D ptb;
  float pctShaper;
  
  //--------------------------
  // contructor:
  rectangle(){
    pos = new Vec2D(50,60);
    pta = new Vec2D(0,100);
    ptb = new Vec2D(400,100);
    pctShaper = 2.0;
  }
  
  //--------------------------
  void moveToPct(float pct){
      //
      // here is the formula:
      // if we are at 0% we are at A
      // if we are at 100% we are at B
      // so to get from A to B, we pass in a pct
      // and use this formula: x = (1-pct) * pta.x + (pct) * pta.x, etc..
      
      // if we raise pct to a power > 1, we will start slow and speed up
      // if we raise pct to a power < 1 and greater then 0, then we will start fast and slow down
      
      float shapedPct = pow(pct, pctShaper);
      pos.x = (1-shapedPct)*pta.x + (shapedPct)*ptb.x;
      pos.y = (1-shapedPct)*pta.y + (shapedPct)*ptb.y;
  }
  
  //--------------------------
  void draw(){ 
     noStroke();
     fill(198,246,55); 
     rect(pos.x, pos.y, 20,20);
  } 
  
}
