
// day_1_06: sin wave animation
// zach lieberman - thesystemis.com / zlieb@parsons.edu
// ----------------------------------------------------
// animation using sin(), to move back and forth

rectangle myRectangle;
float     angle;

//-------------------------------------------------------------------
void setup(){
  size(400,200);
  myRectangle = new rectangle();
  angle = 0;
}

//-------------------------------------------------------------------
void draw(){
  
  background(245,17,230);
 
  // use sin () to move back and forth
  // sin returns a number between -1 and 1, we need to scale it to be 
  // a number between 0 and 1;
  
  float pct = 0.5 * sin(angle) + 0.5;
  myRectangle.moveToPct(pct);
  angle = angle + 0.01;
  
  
  // then draw:
  myRectangle.draw();
  
  
}
