

//-------------------------------------------------------------------
class circularMover {
  
  Vec2D pos;
  float angle;
  Vec2D orig;
  float radius;
  
  // record a path:
  ArrayList pts; 
  
  //--------------------------
  // contructor:
  circularMover(){
    pos = new Vec2D(0,0);
    orig = new Vec2D(200,100);
    radius = 80;
    angle = 0;
    pts = new ArrayList();
  }
  
  void update(){
    pos.x = orig.x + radius * cos(angle);
    pos.y = orig.y + radius * sin(angle*0.333);
    angle = angle + 0.2;
    
    pts.add(new Vec2D(pos.x, pos.y));
    if (pts.size() > 100){
      pts.remove(0);
    }
  }
  //--------------------------
  void draw(){ 
     rectMode(CENTER);
     noStroke();
     fill(198,246,55); 
     rect(pos.x, pos.y, 10,10);
     
     stroke(255);
     noFill();
     beginShape();
     for (int i = 0; i < pts.size(); i++){
        Vec2D pt = (Vec2D)pts.get(i);
        vertex(pt.x, pt.y);
     }
     endShape();
  } 
  
}
