
// day_2_03: particle mutiple
// zach lieberman - thesystemis.com / zlieb@parsons.edu
// ----------------------------------------------------
// now we have a particle that has a position, velocity and force...
// we add to force to velocity, velocity to position every frame. 
// we reset the forces every frame, and sum up all the forces that are acting on the particle



particle myParticle;

//-------------------------------------------------------------------
void setup(){
  size(400,200);
  myParticle = new particle();
  myParticle.pos.set(100,100);
  myParticle.vel.set(1,0.5);
}

//-------------------------------------------------------------------
void draw(){
  
  background(245,17,230);
  
  myParticle.resetForce();
  myParticle.addDampingForce();
  myParticle.update();
  
  // then draw:
  myParticle.draw();
  
}

void mousePressed(){
  myParticle.setInitialCondition(mouseX, mouseY, random(-2,2), random(-2,2)); 
}
