
// day_3_01: particle repulsion, attraction
// zach lieberman - thesystemis.com / zlieb@parsons.edu
// ----------------------------------------------------
// now, we will add some new force functions into the particle class



particle myParticles[];

//-------------------------------------------------------------------
void setup(){
  size(400,200);
  
  myParticles = new particle[100];
  for (int i = 0; i < 100; i++){
    myParticles[i] = new particle();
    myParticles[i].pos.set(random(0,width),random(0,height));
    myParticles[i].vel.set(0,0);
  }
  
}

//-------------------------------------------------------------------
void draw(){
  
  background(245,17,230);
  
   for (int i = 0; i < 100; i++){
    myParticles[i].resetForce();
   }
   
   for (int i = 0; i < 100; i++){
    for (int j = 0; j < i; j++){
     myParticles[i].addRepulsionForce( myParticles[j],40,0.1);
    } 
   }
   
    for (int i = 0; i < 100; i++){
    myParticles[i].addDampingForce();
    myParticles[i].update();
  
    // then draw:
    myParticles[i].draw();
   }
}



