
// day_3_04: springs
// zach lieberman - thesystemis.com / zlieb@parsons.edu
// ----------------------------------------------------
// now, we will add some new force functions into the particle class



particle myParticles[];
spring mySprings[];

//-------------------------------------------------------------------
void setup(){
  size(400,200);
  
  myParticles = new particle[20];
  mySprings = new spring[19];
  
  for (int i = 0; i < 20; i++){
    myParticles[i] = new particle();
    myParticles[i].pos.set(random(80,100),random(80,100));
    myParticles[i].vel.set(0,0);
  }
  myParticles[0].bFixed = true;
  
  
  for (int i = 0; i < 19; i++){
    mySprings[i] = new spring(myParticles[i], myParticles[i+1],5,0.2);
  }
}

//-------------------------------------------------------------------
void draw(){
  
  background(245,17,230);
  
   for (int i = 0; i < 20; i++){
    myParticles[i].resetForce();
   }
   
   for (int i = 0; i < 19; i++){
    mySprings[i].calculateForcesOnParticles();
  }

   
    for (int i = 0; i < 20; i++){
    myParticles[i].addDampingForce();
    myParticles[i].update();
  
    // then draw:
    myParticles[i].draw();
   }
   
   for (int i = 0; i < 19; i++){
    mySprings[i].draw();
   }
}

void mouseDragged(){
  myParticles[0].pos.set(mouseX, mouseY);
}




