
class spring{
   
   particle pta;
   particle ptb;  // who do I connect?
   float k;    // k spring constant
   float dist;    // rest length
   
   spring(particle _pta, particle _ptb, float _dist, float _k){
      pta=_pta;
      ptb=_ptb;
      k = _k;
      dist = _dist;
   }
   
   void calculateForcesOnParticles(){
        Vec2D diff = new Vec2D(0,0);
        diff.x = ptb.pos.x - pta.pos.x;
        diff.y = ptb.pos.y - pta.pos.y;
        float length = diff.length();
        diff.normalize();
         // f = -k(d-dist)  hookes law
        float force = (k * (dist - length));
        
        if (pta.bFixed == false){
          pta.frc.x -= diff.x * force;
          pta.frc.y -= diff.y * force;
        }
        
        if (ptb.bFixed == false){
        ptb.frc.x += diff.x * force;
        ptb.frc.y += diff.y * force;
        }	
        
   }
   
   void draw(){
     stroke(255);
     line(pta.pos.x, pta.pos.y, ptb.pos.x, ptb.pos.y);
   }
   
}
